> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Job

> API to E-File your TDS return by uploading the zip of FVU and Form27A on a pre-signed URL

<Note>
  This endpoint is part of a job-based async workflow. See the [job-based API workflow guide](/guides/developer-resources/job_based_apis#job-based-api-workflow) for job creation, payload upload, and status polling.
</Note>


## OpenAPI

````yaml api-reference/tds/compliance/openapi.json POST /tds/compliance/e-file
openapi: 3.1.0
info:
  title: compliance
  version: 1.0.0
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/compliance/e-file:
    post:
      tags:
        - E-File TDS Return
      summary: Create TDS Return Filing Job
      parameters:
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          required: false
          description: API version
          deprecated: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.tds.compliance.e-file.request
                financial_year:
                  description: Financial Year (e.g. FY 2022-23)
                  example: FY 2024-25
                  type: string
                form:
                  description: TDS/TCS return form
                  enum:
                    - 24Q
                    - 26Q
                    - 27Q
                    - 27EQ
                  type: string
                quarter:
                  enum:
                    - Q1
                    - Q2
                    - Q3
                    - Q4
                  type: string
                tan:
                  example: AHMA09719B
                  description: >-
                    TAN of deductor/collector. Regular Expression:
                    [A-Z]{4}[0-9]{5}[A-Z]{1}
                  type: string
              required:
                - '@entity'
                - financial_year
                - quarter
                - tan
                - form
            examples:
              200 Job created:
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2024-25
                  form: 24Q
                  quarter: Q2
                  tan: AHMA09719B
              '200 Job created: Statement furnished':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2024-25
                  form: 26Q
                  quarter: Q2
                  tan: MUMR09719B
              '200 Job created: Unacceptable fvu':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2024-25
                  form: 27Q
                  quarter: Q2
                  tan: AABC23456D
              '200 Job created: invalid archive':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2024-25
                  form: 26Q
                  quarter: Q4
                  tan: PDES03028E
              '200 Job created: Form type mismatch':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2024-25
                  form: 24Q
                  quarter: Q4
                  tan: HYDC23456G
              '200 Job created: Quarter mismatch':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2024-25
                  form: 26Q
                  quarter: Q2
                  tan: MUMC23456H
              '200 Job created: Barcode mismatch':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2023-24
                  form: 27Q
                  quarter: Q3
                  tan: DELC23456I
              '200 Job created: Invalid entries':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2024-25
                  form: 26Q
                  quarter: Q2
                  tan: BLRC23456F
              '200 Job created: Financial year mismatch':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2023-24
                  form: 24Q
                  quarter: Q4
                  tan: PUNC23456J
              '200 Job created: TAN mismatch':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2024-25
                  form: 24Q
                  quarter: Q2
                  tan: KOLT23456K
              '200 Job created: Form27A missing':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2024-25
                  form: 27Q
                  quarter: Q3
                  tan: CABC23456M
              '200 Job created: FVU missing':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2024-25
                  form: 26Q
                  quarter: Q1
                  tan: BABC23456L
              422 Invalid Form:
                value:
                  '@entity': in.co.sandbox.tds.compliance.efile.request
                  financial_year: FY 2024-25
                  form: '23'
                  quarter: Q2
                  tan: EABC23456N
              422 Invalid TAN pattern:
                value:
                  '@entity': in.co.sandbox.tds.compliance.efile.request
                  financial_year: FY 2024-25
                  form: 24Q
                  quarter: Q2
                  tan: DABC2345DD
              422 Invalid Quarter:
                value:
                  '@entity': in.co.sandbox.tds.compliance.efile.request
                  financial_year: FY 2023-25
                  form: Q5
                  quarter: Q2
                  tan: EABC23456N
              422 Invalid Financial Year:
                value:
                  '@entity': in.co.sandbox.tds.compliance.efile.request
                  financial_year: FY 2023-25
                  form: 24Q
                  quarter: Q2
                  tan: EABC23456N
              test csi file:
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  financial_year: FY 2023-24
                  form: 26Q
                  quarter: Q2
                  tan: SRTH05889C
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      job_id:
                        type: string
                      tan:
                        type: string
                      financial_year:
                        type: string
                      quarter:
                        type: string
                      form:
                        type: string
                      status:
                        type: string
                      created_at:
                        type: integer
                      fvu_upload_file_url:
                        type: string
                        format: uri
              examples:
                200 Job created:
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: f845f37e-7f05-4de9-a282-a3b23b9d370a
                      tan: AHMA09719B
                      financial_year: FY 2024-25
                      quarter: Q2
                      form: 24Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Statement furnished':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 6e8d1908-c062-4846-a811-8f73054acd65
                      tan: MUMR09719B
                      financial_year: FY 2024-25
                      quarter: Q2
                      form: 26Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Unacceptable fvu':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d75c3d26-4f81-451f-ab38-e217ea801ea1
                      tan: AABC23456D
                      financial_year: FY 2024-25
                      quarter: Q2
                      form: 27Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: invalid archive':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d1213059-ec22-4e10-b0c1-a91814377001
                      tan: PDES03028E
                      financial_year: FY 2024-25
                      quarter: Q4
                      form: 26Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Form type mismatch':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d6f5b340-440b-400c-9b86-16e691e768b0
                      tan: HYDC23456G
                      financial_year: FY 2024-25
                      quarter: Q4
                      form: 24Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Quarter mismatch':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 7a62876a-d638-430c-ad77-8fe33d9e63d5
                      tan: MUMC23456H
                      financial_year: FY 2024-25
                      quarter: Q2
                      form: 26Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Barcode mismatch':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 6b11d176-b3c5-483c-9052-b533a6e92377
                      tan: DELC23456I
                      financial_year: FY 2023-24
                      quarter: Q3
                      form: 27Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Invalid entries':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 3b979ce9-ef4e-4157-a4a3-51e8747e76d7
                      tan: BLRC23456F
                      financial_year: FY 2024-25
                      quarter: Q2
                      form: 26Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Financial year mismatch':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 7928082e-34ca-474c-ba05-4ede9598b9b5
                      tan: PUNC23456J
                      financial_year: FY 2023-24
                      quarter: Q4
                      form: 26Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: TAN mismatch':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 5fd2679f-040f-435c-a285-df5817a150b5
                      tan: KOLT23456K
                      financial_year: FY 2024-25
                      quarter: Q2
                      form: 26Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Form27A missing':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: b411fbee-68e4-4da3-9f62-8de8ca09a74c
                      tan: CABC23456M
                      financial_year: FY 2024-25
                      quarter: Q3
                      form: 26Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: FVU missing':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 9bf0b6f8-5957-484f-9aea-0d235054974c
                      tan: BABC23456L
                      financial_year: FY 2024-25
                      quarter: Q1
                      form: 26Q
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                test csi file:
                  value: csi mock data
        '422':
          description: 422 - Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                422 Invalid Form:
                  value:
                    code: 422
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: 'Invalid form: 23'
                422 Invalid TAN pattern:
                  value:
                    code: 422
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: 'Invalid TAN: DABC2345DD'
                422 Invalid Quarter:
                  value:
                    code: 422
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: 'Invalid quarter: Q5'
                422 Invalid Financial Year:
                  value:
                    code: 422
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: 'Invalid financial year: FY 2023-25'

````